Package io.papermc.paper.event.server

# Class ServerResourcesReloadedEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.server.ServerEvent
io.papermc.paper.event.server.ServerResourcesReloadedEvent

public class ServerResourcesReloadedEvent extends ServerEvent
Called when resources such as datapacks are reloaded (e.g. /minecraft:reload)

Intended for use to re-register custom recipes, advancements that may be lost during a reload like this.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`ServerResourcesReloadedEvent.Cause`

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final HandlerList`
`HANDLER_LIST`

## Constructor Summary

Constructors
Constructor
Description
`ServerResourcesReloadedEvent(@NotNull ServerResourcesReloadedEvent.Cause cause)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull ServerResourcesReloadedEvent.Cause`
`getCause()`
Gets the cause of the resource reload.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### HANDLER_LIST

public static final HandlerList HANDLER_LIST

## Constructor Details

### ServerResourcesReloadedEvent

public ServerResourcesReloadedEvent(@NotNull @NotNull ServerResourcesReloadedEvent.Cause cause)

## Method Details

### getCause

@NotNull public @NotNull ServerResourcesReloadedEvent.Cause getCause()
Gets the cause of the resource reload.

Returns:
  the reload cause

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`